## sockjs-client 0.3.4+dfsg

=== Makefile ===
.PHONY: all build tests test serve clean

COFFEE:=./node_modules/.bin/coffee

all: sockjs.js

build: sockjs.js sockjs.min.js

sockjs.js: lib/*js version
	@$(COFFEE) -v > /dev/null
	$(COFFEE) bin/render.coffee --set-version $(VER) lib/all.js > $@

sockjs.min.js: lib/*js version
	@$(COFFEE) -v > /dev/null
	$(COFFEE) bin/render.coffee --set-version $(VER) --minify lib/all.js > $@

sockjs.pretty.js: lib/*js version
	@$(COFFEE) -v > /dev/null
	$(COFFEE) bin/render.coffee --set-version $(VER) --minify --pretty lib/all.js > $@

tests/html/lib/sockjs.js: sockjs.js
	cp $< $@

tests/html/lib/%.js: tests/html/src/%.coffee
	@$(COFFEE) -v > /dev/null
	$(COFFEE) -o tests/html/lib/ -c --bare $<

build_tests: tests/html/lib/sockjs.js tests/html/lib/tests.js \
		tests/html/lib/unittests.js tests/html/lib/domtests.js \
		tests/html/lib/endtoendtests.js

test: tests
tests: build_tests
	node tests/server.js


serve:
	@if [ -e .pidfile.pid ]; then			\
		kill `cat .pidfile.pid`;		\
		rm .pidfile.pid;			\
	fi

	@while [ 1 ]; do					\
		make build_tests;				\
		echo " [*] Running http server";		\
		make test &					\
		SRVPID=$$!;					\
		echo $$SRVPID > .pidfile.pid;			\
		echo " [*] Server pid: $$SRVPID";		\
		inotifywait -r -q -e modify . ../sockjs-node;	\
		kill `cat .pidfile.pid`;			\
		rm -f .pidfile.pid;				\
		sleep 0.1;					\
	done

clean:
	rm -f sockjs*.js tests/html/lib/*.js

# To release:
#   0) 'make prepare-release'
#   1) commit everything you need
#   2) amend 'version' file (don't commit)
#   3) run 'make tag', and git push/git push --tag as suggested
#   4) run 'make upload', and suggested commands

RVER:=$(shell cat version)
VER:=$(shell ./VERSION-GEN)
# The first two dots: 1.2.3 -> 1.2
MAJVER:=$(shell echo $(VER)|sed 's|^\([^.]\+[.][^.]\+\).*$$|\1|' )

.PHONY: prepare-release tag upload
prepare-release:
	make clean
	[ -e ../sockjs-client-gh-pages ] || 				\
		git clone `git remote -v|tr "[:space:]" "\t"|cut -f 2`	\
			--branch gh-pages ../sockjs-client-gh-pages
	(cd ../sockjs-client-gh-pages; git pull;)

#-git tag -d v$(RVER)
tag:
	git commit $(TAG_OPTS) version Changelog -m "Release $(RVER)" --allow-empty
	git tag -s v$(RVER) -m "Release $(RVER)"
	@echo ' [*] Now run'
	@echo 'git push; git push --tag'

ARTIFACTS=\
	sockjs-$(VER).js \
	sockjs-$(VER).min.js \
	sockjs-$(MAJVER).js \
	sockjs-$(MAJVER).min.js

upload: build
	echo "VER=$(VER) MAJVER=$(MAJVER)"
	cp sockjs.js     ../sockjs-client-gh-pages/sockjs-$(VER).js
	cp sockjs.min.js ../sockjs-client-gh-pages/sockjs-$(VER).min.js
	cp sockjs.js     ../sockjs-client-gh-pages/sockjs-$(MAJVER).js
	cp sockjs.min.js ../sockjs-client-gh-pages/sockjs-$(MAJVER).min.js
	(cd ../sockjs-client-gh-pages;	\
		git add $(ARTIFACTS); \
		git commit -m "Release $(VER)"; \
		node generate_index.js > index.html; \
		git add index.html; \
		git commit --amend -m "Release $(VER)";)
	@echo ' [*] Now run: '
	@echo '(cd ../sockjs-client-gh-pages; git push; )'
	@echo '(cd ../sockjs-client-gh-pages; 	\
		s3cmd put --acl-public index.html $(ARTIFACTS) s3://sockjs; );'

=== debian/changelog ===
sockjs-client (0.3.4+dfsg-2) unstable; urgency=low

  [ Mattia Rizzolo ]
  * Team Upload.
  * debian/watch: import watch file from sepwatch.  Thanks bartm!
  * debian/control: bump Standards-Version to 3.9.6.

  [ Tonnerre LOMBARD ]
  * Modify build coffeescript to work with uglifyjs 2.0. Closes: #750719

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Dec 2015 02:17:07 +0000

sockjs-client (0.3.4+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #733821

 -- Tonnerre LOMBARD <tonnerre@ancient-solutions.com>  Tue, 31 Dec 2013 15:15:11 +0100

=== debian/control ===
Source: sockjs-client
Section: web
Priority: optional
Maintainer: Tonnerre LOMBARD <tonnerre@ancient-solutions.com>
Build-Depends: coffeescript, debhelper (>= 9), node-optimist, node-static,
 node-uglify (>= 2.0), nodejs, libjs-json
Standards-Version: 3.9.6
Homepage: https://github.com/sockjs/sockjs-client
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/sockjs-client.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/sockjs-client.git

Package: libjs-sockjs
Architecture: all
Depends: ${misc:Depends}, libjs-json
Recommends: javascript-common
Description: WebSocket emulation - Javascript client
 SockJS is a browser JavaScript library that provides a WebSocket-like object.
 SockJS gives you a coherent, cross-browser, Javascript API which creates a low
 latency, full duplex, cross-domain communication channel between the browser
 and the web server.
 .
 Under the hood SockJS tries to use native WebSockets first. If that fails it
 can use a variety of browser-specific transport protocols and presents them
 through WebSocket-like abstractions.
 .
 SockJS is intended to work for all modern browsers and in environments which
 don't support WebSocket protocol, for example behind restrictive corporate
 proxies.

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))

export NODE_PATH=/usr/lib/nodejs/optparse

.PHONY: get-orig-source

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	&& find . -depth -type f -name '*.min.js' -exec $(RM) -f {} \; -printf 'removed %p\n'
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	| XZ_OPT="-9v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

# We cannot run the tests, we'd need sockjs-node for that.
override_dh_auto_test:



# Delete copyright-problematic files from the tests.
override_dh_auto_clean:
	rm -f lib/json2.min.js tests/html/qunit.min.js
	rm -f tests/html/static/jquery.min.js
	dh_auto_clean

override_dh_auto_configure:
	ln -s /usr/share/javascript/json/json2.min.js lib/json2.min.js
	dh_auto_configure

override_dh_auto_build:
	make build

%:
	dh $@

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/-(beta)/~$1/ \
 https://github.com/sockjs/sockjs-client/releases \
 .*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|sockjs-client(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
